FALLOCATE(1)

NOM
fallocate - Réserver de l'espace pour un fichier

SYNOPSIS
fallocate [-n] [-o décalage] -l longueur fichier

DESCRIPTION
fallocate sert à réserver des blocs pour un fichier. Pour les systèmes de fichiers qui permettent l'appel système fallocate(2), cette opération est réalisée rapidement en allouant des blocs et en les marquant comme non initialisés, sans nécessiter d'échange (entrée ou sortie) avec les blocs de données. C'est bien plus rapide que de créer un fichier en le remplissant de zéros.

Depuis la version 2.6.31 du noyau Linux, l'appel système fallocate(2) est pris en charge pour les systèmes de fichiers Btrfs, ext4, OCFS2 et XFS.

Le code de retour renvoyé par fallocate est 0 en cas de succès et 1 en cas d'échec.

OPTIONS
Les arguments longueur et décalage peuvent être suivis des suffixes binaire (2^n) KiB, MiB, GiB, TiB, PiB et EiB (la partie « iB » est facultative, par exemple « K » est identique à « KiB ») ou décimal (10^n) KB, MB, GB, PB et EB.

-h, --help
    Afficher l'aide puis quitter.

-n, --keep-size
    Ne pas modifier la longueur apparente du fichier. Des blocs pourraient être alloués après la fin du fichier, ils peuvent être enlevés avec truncate.

-o, --offset décalage
    Indiquer la position de début de l'allocation, en octet.

-l, --length longueur
    Indiquer la longueur de l'allocation, en octet.

AUTEURS
Eric Sandeen <sandeen@redhat.com>
Karel Zak <kzak@redhat.com>

VOIR AUSSI
fallocate(2), posix_fallocate(3), truncate(1)

DISPONIBILITÉ
La commande fallocate fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.